%global _empty_manifest_terminate_build 0
Name:		python-django-pipeline
Version:	2.1.0
Release:	1
Summary:	Pipeline is an asset packaging library for Django.
License:	MIT
URL:		https://github.com/jazzband/django-pipeline
Source0:        https://files.pythonhosted.org/packages/source/d/django-pipeline/django-pipeline-%{version}.tar.gz
BuildArch:	noarch


%description
Pipeline is an asset packaging library for Django, providing both CSS and
JavaScript concatenation and compression, built-in JavaScript template support,
and optional data-URI image and font embedding.

%package -n python3-django-pipeline
Summary:	Pipeline is an asset packaging library for Django.
Provides:	python-django-pipeline
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-setuptools_scm
%description -n python3-django-pipeline
Pipeline is an asset packaging library for Django, providing both CSS and
JavaScript concatenation and compression, built-in JavaScript template support,
and optional data-URI image and font embedding.

%package help
Summary:	Development documents and examples for django-pipeline
Provides:	python3-django-pipeline-doc
%description help
Pipeline is an asset packaging library for Django, providing both CSS and
JavaScript concatenation and compression, built-in JavaScript template support,
and optional data-URI image and font embedding.

%prep
%autosetup -n django-pipeline-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-django-pipeline -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Apr 10 2023 yaoxin <yaoxin_001@hopenrun.com> - 2.1.0-1
- Update to 2.1.0

* Sat Aug 01 2020 Python_Bot <Python_Bot@openeuler.org> - 2.0.4-1
- Package Spec generated
